algorithmic modeling for Rhino
In order to delete an object fro Rhino you need to either know the GUID of it or have a good method of finding it in the object database. If you want to delete all objects on a specific layer, then:
Dim doc As RhinoDoc = RhinoDocument
Dim objs As Rhino.DocObjects.RhinoObject() = doc.Objects.FindByLayer("layerName")
If (objs IsNot Nothing) Then
For Each obj As Rhino.DocObjects.RhinoObject In objs
doc.Objects.Delete(obj, True)
Next
End If
--
David Rutten
david@mcneel.com
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by